Page 1 of 2 12 LastLast
Results 1 to 13 of 19
  1. #1
    Join Date
    May 2009
    Location
    SC
    Posts
    1,672
    Post Likes

    Cannot load module 'asd=asd'

    I'm trying to run this station on my laptop and I'm getting this error below. I do have ibmsAsd.jar version 3.8.109.1 loaded so I'm not sure what the issue is? Was this station using some other driver?


    Code:
    WARNING [13:59:03 16-May-19 EDT][timezone] No niagara.timezone in !/lib/system.properties, set one using the Platform Administrator
    MESSAGE [13:59:03 16-May-19 EDT][sys.registry] Up-to-date [29ms]
    MESSAGE [13:59:03 16-May-19 EDT][sys.registry] Loaded [36ms]
    MESSAGE [13:59:05 16-May-19 EDT][sys] Baja runtime booted ("C:\JENEsys\JENEsys-ProBuilder-3.8.311") on Win-
    MESSAGE [13:59:05 16-May-19 EDT][sys] Loading "C:\JENEsys\JENEsys-ProBuilder-3.8.311\stations\BLDG_A_ASD\config.bog"...
    ERROR [13:59:06 16-May-19 EDT][sys] Cannot load station
    javax.baja.xml.XException: Cannot load module 'asd=asd' [198:60]
    ~
      javax.baja.sys.ModuleNotFoundException: asd
    ~
    App Failed
    Scott Jalbert, WebCTRL ninja, AX and Smartstruxure newb, SiteScan Retired

    The master has failed more times than the beginner has even tried

  2. #2
    Join Date
    May 2006
    Location
    Greater Atlanta Area
    Posts
    581
    Post Likes
    Quote Originally Posted by MaxBurn View Post
    I'm trying to run this station on my laptop and I'm getting this error below. I do have ibmsAsd.jar version 3.8.109.1 loaded so I'm not sure what the issue is? Was this station using some other driver?


    Code:
    WARNING [13:59:03 16-May-19 EDT][timezone] No niagara.timezone in !/lib/system.properties, set one using the Platform Administrator
    MESSAGE [13:59:03 16-May-19 EDT][sys.registry] Up-to-date [29ms]
    MESSAGE [13:59:03 16-May-19 EDT][sys.registry] Loaded [36ms]
    MESSAGE [13:59:05 16-May-19 EDT][sys] Baja runtime booted ("C:\JENEsys\JENEsys-ProBuilder-3.8.311") on Win-
    MESSAGE [13:59:05 16-May-19 EDT][sys] Loading "C:\JENEsys\JENEsys-ProBuilder-3.8.311\stations\BLDG_A_ASD\config.bog"...
    ERROR [13:59:06 16-May-19 EDT][sys] Cannot load station
    javax.baja.xml.XException: Cannot load module 'asd=asd' [198:60]
    ~
      javax.baja.sys.ModuleNotFoundException: asd
    ~
    App Failed
    I believe asd.jar is different from ibmsasd.jar

    Sent from my VS988 using Tapatalk

  3. #3
    Join Date
    Dec 2004
    Location
    San Francisco Bay Area
    Posts
    548
    Post Likes
    You've got mail...

  4. #4
    Join Date
    May 2009
    Location
    SC
    Posts
    1,672
    Post Likes
    Thread Starter
    That was it, thanks. One I have was dug out of a old backup and is dated 2011. If anything newer is out there I'd like it and I will ask our vendor too.
    Scott Jalbert, WebCTRL ninja, AX and Smartstruxure newb, SiteScan Retired

    The master has failed more times than the beginner has even tried

  5. #5
    Join Date
    May 2009
    Location
    SC
    Posts
    1,672
    Post Likes
    Thread Starter
    Ah, apparently this old jace was from 3.7 and of course the asd.jar I have here doesn't appear to work in 3.7, does work in 3.8 though.

    Anyone have asd.jar appropriate for 3.7?
    Scott Jalbert, WebCTRL ninja, AX and Smartstruxure newb, SiteScan Retired

    The master has failed more times than the beginner has even tried

  6. #6
    Join Date
    Aug 2014
    Location
    DMV
    Posts
    42
    Post Likes
    Do you have access to the niagara central software site? If it is a standard module it will be available for download at all of the revisions there.

  7. #7
    Join Date
    May 2009
    Location
    SC
    Posts
    1,672
    Post Likes
    Thread Starter
    They are? Damn, I will have to look around there. Any pointers as to where they are on that site?
    Scott Jalbert, WebCTRL ninja, AX and Smartstruxure newb, SiteScan Retired

    The master has failed more times than the beginner has even tried

  8. #8
    Join Date
    May 2002
    Location
    Baton Rouge, Louisiana
    Posts
    4,101
    Post Likes
    I don't know how you got it to work on 3.8, the asd jar file isn't supposed to work after like 3.4, had this problem a few months ago. You will have to get the ibmsasd jar and use it and pay for the license upgrade.
    Quote Originally Posted by MatrixTransform View Post
    very soon it is you that will be pwned

  9. #9
    Join Date
    Jan 2003
    Location
    USA
    Posts
    4,272
    Post Likes
    Quote Originally Posted by MaxBurn View Post
    They are? Damn, I will have to look around there.
    Hit niag central and look for the software link next to community. You need to be registered as more than just a normal user to have access to that. Same with the licensing. Depends on your channel if they make use of those.
    Propagating the formula. http://www.noagendashow.com/

  10. #10
    Join Date
    May 2009
    Location
    SC
    Posts
    1,672
    Post Likes
    Thread Starter
    Quote Originally Posted by joey791 View Post
    I don't know how you got it to work on 3.8, the asd jar file isn't supposed to work after like 3.4, had this problem a few months ago. You will have to get the ibmsasd jar and use it and pay for the license upgrade.
    I've got the ibmsAsd.jar for 3.7 and 3.8 with a license key to use it on the replacement jace but the station backup I'm using is looking for the asd.jar. Station starts and runs on my laptop in 3.8 and 3.7, don't know what to say. I'm seeing plenty of errors when I load it on my laptop but it seems to all be related to not having those station defined ports available. Something I need to do in the station to make it use the new driver? I'm not going to redo this entire integration.

    Quote Originally Posted by orion242 View Post
    Hit niag central and look for the software link next to community. You need to be registered as more than just a normal user to have access to that. Same with the licensing. Depends on your channel if they make use of those.
    Thanks, I guess I'm not that special of a user there. Can only reach the community areas.
    Scott Jalbert, WebCTRL ninja, AX and Smartstruxure newb, SiteScan Retired

    The master has failed more times than the beginner has even tried

  11. #11
    Join Date
    May 2009
    Location
    SC
    Posts
    1,672
    Post Likes
    Thread Starter
    Same exact problem under 3.5. Must be something I'm missing or doing wrong?

    Name:  needASD2-3.5.jpg
Views: 58
Size:  80.5 KB
    Scott Jalbert, WebCTRL ninja, AX and Smartstruxure newb, SiteScan Retired

    The master has failed more times than the beginner has even tried

  12. #12
    Join Date
    Jan 2003
    Location
    USA
    Posts
    4,272
    Post Likes
    Check under platform - software manager and see if its listed. Guessing not.

    Just because its jammed in the jar folder doesn't mean Niagara is going to be happy with it.
    Propagating the formula. http://www.noagendashow.com/

  13. #13
    Join Date
    May 2009
    Location
    SC
    Posts
    1,672
    Post Likes
    Thread Starter
    Yeah that was it, worked through that with support. Basically it looked like this;

    1. Extract the asd.jar and open meta-inf/module.xml with a text editor.
    2. Look for vendorVersion=. In this case I was seeing vendorVersion="3.3.23" which is really old and likely why WB didn't pick it up.
    3. Manually load that file by creating a folder with that version and putting asd.jar in that folder so full path looks like C:\JENEsys\JENEsys-3.7.108\sw\3.3.23\asd.jar
    4. Will load and be able to commission the jace after that.

    The real question now is how to update it to latest ibmsasd.jar. Simply going in the software admin and removing asd.jar and sticking ibmsasd.jar results in the error in OP. Lynxspring is reaching out to the manufacturer on that but I don't hold high hopes.
    Scott Jalbert, WebCTRL ninja, AX and Smartstruxure newb, SiteScan Retired

    The master has failed more times than the beginner has even tried

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •